> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vaultcord.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Bots

> List out the custom bots



## OpenAPI

````yaml get /bots
openapi: 3.0.0
info:
  description: VaultCord public API for developers to access resources
  version: 1.0.0
  title: VaultCord Developers API
  x-logo:
    url: https://cdn.vaultcord.com/logo.png
    backgroundColor: '#FFFFFF'
    altText: VaultCord logo
    href: https://vaultcord.com
servers:
  - description: VaultCord Developers API endpoint
    url: https://api.vaultcord.com
security:
  - bearerAuth: []
tags:
  - name: Servers
    description: Servers endpoints
  - name: Bots
    description: Bot endpoints
  - name: Backups
    description: Backup endpoints
  - name: Members
    description: Member endpoints
  - name: Alerts
    description: Alert endpoints
  - name: Whites
    description: Whitelist endpoints
paths:
  /bots:
    get:
      tags:
        - Bots
      description: List out the custom bots
      operationId: listBots
      responses:
        '200':
          $ref: '#/components/responses/bots'
        '401':
          $ref: '#/components/responses/401'
components:
  responses:
    '401':
      description: >-
        API key invalid, please generate a new one from
        dash.vaultcord.com/developers
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
                example: false
              message:
                type: string
                example: 'New login required #2'
    bots:
      description: VaultCord bot configuration
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
                example: true
              data:
                type: array
                items:
                  $ref: '#/components/schemas/botListing'
  schemas:
    botListing:
      type: object
      properties:
        id:
          type: integer
          description: ID of the bot.
          example: 2475
        name:
          type: string
          example: google bot
          description: Name of the bot.
        clientId:
          type: string
          example: '1218273093298946048'
          description: Discord snowflake ID for the bot/application.
        created_at:
          type: integer
          description: The creation date of the account, in unix timestamp (seconds)
          example: 1710529389
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````